Subject: [Pce] I-D Action: draft-ietf-pce-wson-rwa-ext-13.txt

From: [email-masked]
Date: Thu, 07 Feb 2019 09:48:20 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Path Computation Element WG of the IETF.

        Title           : PCEP Extension for WSON Routing and Wavelength Assignment
        Authors         : Young Lee
                          Ramon Casellas
	Filename        : draft-ietf-pce-wson-rwa-ext-13.txt
	Pages           : 28
	Date            : 2019-02-07

Abstract:
   This document provides the Path Computation Element communication
   Protocol (PCEP) extensions for the support of Routing and Wavelength
   Assignment (RWA) in Wavelength Switched Optical Networks (WSON).
   Path provisioning in WSONs requires a routing and wavelength
   assignment (RWA) process.  From a path computation perspective,
   wavelength assignment is the process of determining which wavelength
   can be used on each hop of a path and forms an additional routing
   constraint to optical path computation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-pce-wson-rwa-ext/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-pce-wson-rwa-ext-13
https://datatracker.ietf.org/doc/html/draft-ietf-pce-wson-rwa-ext-13

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-pce-wson-rwa-ext-13

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Leeyoung <[email-masked]>
Date: Thu, 7 Feb 2019 18:10:05 +0000

Hello ADs,

The revision was published to incorporate all your comments and Julien's suggestions (as PCE co-chair) since version 12. Specifically, the update reflects:

------------------------------------------------

On Benjamin's comment on the "identifier": RFC 6205 says that the "Identifier" is a per-node assigned and scoped value that may change on a per-hop basis.  I don't see where our base label gets scoped to a node (just that it's part of a PCReq message which does not seem scoped to a node), so this seems problematic.

Added in Section 4.3.2:

The Identifier has a specific PCEP context. To clarify the interpretation of the Identifier, the following additional explanation is added.

Identifier (9 bits): The value to be included in the "Identifier" field of the WDM label in RSVP-TE signaling, as defined in section 3.2 of [RFC6205]. The PCC MAY use the assigned value for the Identifier field in the corresponding LSP-related messages in RSVP-TE signaling.

------------------------------------------------------

On extensibility of the type of link identifier type (per Benjamin and Alexey),

Added in Section 3.1

The Type field is extensible. Please refer to the IANA registry allocated for Link Management Protocol (LMP) [RFC4204]: https://www.iana.org/assignments/lmp-parameters/lmp-parameters.xhtml#lmp-parameters-15<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.iana.org_assignments_lmp-2Dparameters_lmp-2Dparameters.xhtml-23lmp-2Dparameters-2D15&d=DwMGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=AYPO3Kj-lcxDF96uzxQ9E4QuT7MNqktJc7PuqdxEG04&s=RqHfT6wpKpWGtOQcqMa-mMBgICf-U-UETuQFvBPPyIw&e=>.

-----------------------------------------------------------

Please let us know any further comments.

Best regards,

Young

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, February 7, 2019 11:48 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Pce] I-D Action: draft-ietf-pce-wson-rwa-ext-13.txt

        Authors         : Young Lee

                          Ramon Casellas

              Pages           : 28

              Date            : 2019-02-07

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________

Pce mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/pce